Subject: interesting reading

From: Larry Masinter <[email-masked]>
Date: Tue, 11 May 2004 17:54:08 -0700

I like the new document a lot; I think it's a much clearer
statement of 'the problem'. (On the 'newtrk' mailing list, it's
been suggested that these kinds of documents be called 'design goals'
rather than 'requirements'.)

Some new points:

* I think perhaps a reference to PKIX might be useful, e.g., in
the definition of "Evidence record", to give a pointer to what
is meant by "trust anchor" in this context.  Are there other
references that would be helpful?

* re:

   A long-term archive service does not collect evidence related to the
   content of archived data objects.Content-focused operations,
   including data format migration or translation, may be performed by a
   notary or notarization service.

Is it architecturally sound to link these? There might
be a data format migration or data format translation service,
and there might be a notarization of the assertion of the
integrity of that transformation, but should we suggest that
the notary service _perform_ the translation?

In any case, the notarization of the assertion of soundness
of a translation is, in fact, 'evidence related to the content'.
Even just asserting the MIME type of the bits or the nature
of the digital signature.

So perhaps 'need not produce' rather than 'does not collect'?
And 'may be performed by other system elements' instead of
'may be performed by a notary or notarization service'?

* The word "archivation" doesn't appear in any dictionary I can find
(including online). I found a paper with an editor's note:

'The author uses the word archivation throughout this paper. This word
 does not exist in standard English. It has been suggested that it be
 changed to the gerund "archiving" or the slightly pompous "data storage."
 Instead I have decided to keep it as used by the author and feel that
 the reader will understand what is meant.'

Google search for 'archivation' found more papers in German and French
than in English, so perhaps that is the origin?

* 4.7.2
  "TIFF" is the name of the format, not "TIF".

* Other references...?

I recently attended the IS&T Archiving Conference
(http://www.imaging.org/conferences/archiving2004/).
While the conference was probably dominated by libaries and
museums wanting very-long-term preservation of public documents,
some of the papers addressed concerns about long-term integrity
of records with signatures. For example, I found 

http://www.interpares.org/book/index.cfm

helpful. I think that LTANS is solving a narrow problem, but it is
useful to situate its problem in the context of the larger system
for preservation, archiving, and proof of integrity.

Several organizations made reference to an archival
information system model (OAIS) http://www.rlg.org/longterm/oais.html
(pointing to 
http://ssdoo.gsfc.nasa.gov/nost/wwwclassic/documents/pdf/CCSDS-650.0-B-1.pdf
)
that defines terms.

Perhaps you have some other system or reference model in
mind for long-term archives?

Larry
-- 
http://larry.masinter.net

---

From: "Carl Wallace" <[email-masked]>
Date: Wed, 12 May 2004 07:22:43 -0400

> Some new points:
> 
> * I think perhaps a reference to PKIX might be useful, e.g., 
> in the definition of "Evidence record", to give a pointer to 
> what is meant by "trust anchor" in this context.  Are there 
> other references that would be helpful?

We'll add a reference to 3280 (and any other useful references that are
identified).

> Is it architecturally sound to link these? There might be a 
> data format migration or data format translation service, and 
> there might be a notarization of the assertion of the 

I agree with your suggested changes.  The intent was not as narrow as the
words imply.  The schedule has been modified to move up consideration of
notary functionality.  Tobias is working on the notary service requirements.

> 
> * The word "archivation" doesn't appear in any dictionary I 
> can find (including online). I found a paper with an editor's note:
> 
> 'The author uses the word archivation throughout this paper. 
> This word  does not exist in standard English. It has been 
> suggested that it be  changed to the gerund "archiving" or 
> the slightly pompous "data storage."
>  Instead I have decided to keep it as used by the author and 
> feel that  the reader will understand what is meant.'
> 
> Google search for 'archivation' found more papers in German 
> and French than in English, so perhaps that is the origin?

The first appearance of the word that I am aware of in LTANS discussions is
in the "Long Term Archive Architecture" paper that is available here:
http://ltans.edelweb.fr/draft-ietf-ltans-arch-00.pdf.  The meaning seems
clear enough but "archivingPeriod" is fine too.  There's also a recently
posted paper on non-repudiation and encryption available on the site as
well.